This is the multi-page printable view of this section. Click here to print.

Return to the regular view of this page.

List PublicIPs

1 - 1.3

get /v1/publicips

Description

Get PublicIP list.

State ACTIVE (CURRENT)

VersionNot Before
1.3-

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryip_address
optional
IP Address
Example : 192.167.0.5
any of [string, null]None
querystate
optional
PublicIP State
Example : ATTACHED
any of [string, null]None
queryattached_resource_type
optional
PublicIP Attached Resource Type
Example : NAT_GW
any of [string, null]None
queryattached_resource_id
optional
PublicIP Attached Resource ID
Example : 37e6db41f5124184a43251a63124cdc9
any of [string, null]None
queryattached_resource_name
optional
PublicIP Attached Resource Name
Example : Attached NAT Gateway Name
any of [string, null]None
queryvpc_id
optional
VPC Id
Example : 7df8abb4912e4709b1cb237daccca7a8
any of [string, null]None
querytype
optional
PublicIP Type
Example : IGW
any of [enum (IGW, GGW, SIGW), null]None
queryzone
optional
Zone
Example : kr-west1-a
any of [array[string], string]None

Responses

HTTP CodeDescriptionSchema
200OKPublicipListResponseV1Dot3
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/publicips

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.3"

Example HTTP response

Response 200

{
    "count": 20,
    "page": 0,
    "publicips": [
        {
            "account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
            "attached_resource_id": "37e6db41f5124184a43251a63124cdc9",
            "attached_resource_name": "Attached NAT Gateway Name",
            "attached_resource_type": "NAT_GW",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "description": "Public IP Description",
            "id": "12f56e27070248a6a240a497e43fbe18",
            "ip_address": "192.167.0.5",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "state": "ATTACHED",
            "type": "IGW",
            "zone": "kr-west1-a"
        }
    ],
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

2 - 1.2

get /v1/publicips

Description

Get PublicIP list.

State ACTIVE (SUPPORTED)

VersionNot Before
1.220270131

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryip_address
optional
IP Address
Example : 192.167.0.5
any of [string, null]None
querystate
optional
PublicIP State
Example : ATTACHED
any of [string, null]None
queryattached_resource_type
optional
PublicIP Attached Resource Type
Example : NAT_GW
any of [string, null]None
queryattached_resource_id
optional
PublicIP Attached Resource ID
Example : 37e6db41f5124184a43251a63124cdc9
any of [string, null]None
queryattached_resource_name
optional
PublicIP Attached Resource Name
Example : Attached NAT Gateway Name
any of [string, null]None
queryvpc_id
optional
VPC Id
Example : 7df8abb4912e4709b1cb237daccca7a8
any of [string, null]None
querytype
optional
PublicIP Type
Example : IGW
any of [enum (IGW, GGW, SIGW), null]None

Responses

HTTP CodeDescriptionSchema
200OKPublicipListResponseV1Dot2
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/publicips

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.2"

Example HTTP response

Response 200

{
    "count": 20,
    "page": 0,
    "publicips": [
        {
            "account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
            "attached_resource_id": "37e6db41f5124184a43251a63124cdc9",
            "attached_resource_name": "Attached NAT Gateway Name",
            "attached_resource_type": "NAT_GW",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "description": "Public IP Description",
            "id": "12f56e27070248a6a240a497e43fbe18",
            "ip_address": "192.167.0.5",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "state": "ATTACHED",
            "type": "IGW"
        }
    ],
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

3 - 1.1

get /v1/publicips

Description

Get PublicIP list.

State ACTIVE (SUPPORTED)

VersionNot Before
1.120261130

Parameters

TypeNameDescriptionSchemaDefault
querywith_count
optional
with count
Example : true
any of [string, null]None
querylimit
optional
limit
Example : 20
any of [integer, null]None
querymarker
optional
marker
Example : 607e0938521643b5b4b266f343fae693
any of [string, null]None
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryip_address
optional
IP Address
Example : 192.167.0.5
any of [string, null]None
querystate
optional
PublicIP State
Example : ATTACHED
any of [string, null]None
queryattached_resource_type
optional
PublicIP Attached Resource Type
Example : NAT_GW
any of [string, null]None
queryattached_resource_id
optional
PublicIP Attached Resource ID
Example : 37e6db41f5124184a43251a63124cdc9
any of [string, null]None
queryattached_resource_name
optional
PublicIP Attached Resource Name
Example : Attached NAT Gateway Name
any of [string, null]None
queryvpc_id
optional
VPC Id
Example : 7df8abb4912e4709b1cb237daccca7a8
any of [string, null]None
querytype
optional
PublicIP Type
Example : IGW
any of [enum (IGW, GGW, SIGW), null]None

Responses

HTTP CodeDescriptionSchema
200OKPublicipListResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/publicips

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.1"

Example HTTP response

Response 200

{
    "count": 20,
    "links": [
        {
            "href": "http://scp.samsungsdscloud.com/v1/notices",
            "rel": "self"
        }
    ],
    "publicips": [
        {
            "account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
            "attached_resource_id": "37e6db41f5124184a43251a63124cdc9",
            "attached_resource_name": "Attached NAT Gateway Name",
            "attached_resource_type": "NAT_GW",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "description": "Public IP Description",
            "id": "12f56e27070248a6a240a497e43fbe18",
            "ip_address": "192.167.0.5",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "state": "ATTACHED",
            "type": "IGW"
        }
    ]
}

4 - 1.0

get /v1/publicips

Description

Get PublicIP list.

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
querywith_count
optional
with count
Example : true
any of [string, null]None
querylimit
optional
limit
Example : 20
any of [integer, null]None
querymarker
optional
marker
Example : 607e0938521643b5b4b266f343fae693
any of [string, null]None
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryip_address
optional
IP Address
Example : 192.167.0.5
any of [string, null]None
querystate
optional
PublicIP State
Example : ATTACHED
any of [string, null]None
queryattached_resource_type
optional
PublicIP Attached Resource Type
Example : NAT_GW
any of [string, null]None
queryattached_resource_id
optional
PublicIP Attached Resource ID
Example : 37e6db41f5124184a43251a63124cdc9
any of [string, null]None
queryattached_resource_name
optional
PublicIP Attached Resource Name
Example : Attached NAT Gateway Name
any of [string, null]None
queryvpc_id
optional
VPC Id
Example : 7df8abb4912e4709b1cb237daccca7a8
any of [string, null]None
querytype
optional
PublicIP Type
Example : IGW
any of [enum (IGW, GGW, SIGW), null]None

Responses

HTTP CodeDescriptionSchema
200OKPublicipListResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/publicips

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.0"

Example HTTP response

Response 200

{
    "count": 20,
    "links": [
        {
            "href": "http://scp.samsungsdscloud.com/v1/notices",
            "rel": "self"
        }
    ],
    "publicips": [
        {
            "account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
            "attached_resource_id": "37e6db41f5124184a43251a63124cdc9",
            "attached_resource_name": "Attached NAT Gateway Name",
            "attached_resource_type": "NAT_GW",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "description": "Public IP Description",
            "id": "12f56e27070248a6a240a497e43fbe18",
            "ip_address": "192.167.0.5",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "state": "ATTACHED",
            "type": "IGW"
        }
    ]
}